MYTHUTIL(1)

NAME
mythutil - MythTV Utility helper

DESCRIPTION
mythutil version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org

MythUtil is a command line utility application for MythTV.

Misc. Options:

-O, --override-setting
    Override a single setting defined by a key=value pair.

--override-settings-file
    Define a file of key=value pairs to be loaded for setting overrides.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

Metadata Reading/Writing Options:

--calctracklen
    Decode a track to determine its exact length

--songid
    ID of track to update

--extractimage
    Extract an embedded image from a tracks tag and cache it in the AlbumArt storage group

--imagetype
    Type of image to extract (front, back, cd, inlay, unknown)

--songid
    ID of track to update

--findlyrics
    Search for some lyrics for a track

--songid
    ID of track to update

--artist
    (optional) Artist of track

--album
    (optional) Album of track

--title
    (optional) Title of track

--grabber
    (optional) Name of grabber to use or 'ALL' to try all available grabbers

--updatemeta
    Update a music tracks database record and tag with new metadata

--album
    (optional) Album of track

--artist
    (optional) Artist of track

--genre
    (optional) Genre of track

--lastplayed
    (optional) Last played of track

--playcount
    (optional) Playcount of track

--rating
    (optional) Rating of track

--songid
    ID of track to update

--title
    (optional) Title of track

--trackno
    (optional) Track No. of track

--year
    (optional) Year of track

Recording Utils Options:

--checkrecordings
    Check all recording exist and have a seektable etc.

--fixseektable
    (optional) fix the seektable if missing for a recording

Recording Markup Options:

--clearbookmarks
    Clear all bookmarks.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--clearcutlist
    Clear the cutlist.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--clearseektable
    Clear the seek table.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--clearskiplist
    Clear the commercial skip list.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--gencutlist
    Copy the commercial skip list to the cutlist.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--getcutlist
    Display the current cutlist.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--getmarkup
    Write markup data to the specified local file.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--getskiplist
    Display the current commercial skip list.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--setcutlist
    Set a new cutlist in the form: #-#[,#-#]... (ie, 1-100,1520-3012,4091-5094)

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--setmarkup
    Read markup data from the specified local file, and use it to set the markup for the recording or video.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

--setskiplist
    Set a new commercial skip list in the form: #-#[,#-#]... (ie, 1-100,1520-3012,4091-5094)

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

--video
    Specify path name of Video Gallery video to operate on.

Backend Options:

--clearcache
    Trigger a cache clear on all connected MythTV systems.

--event
    Send a backend event test message.

--resched
    Trigger a run of the recording scheduler on the existing master backend.

--scanimages
    Trigger a rescan of media content in Images.

--scanvideos
    Trigger a rescan of media content in MythVideo.

--systemevent
    Send a backend SYSTEM_EVENT test message.

EIT Utils Options:

--cleareit
    Clear guide received from EIT.

--sourceid
    (optional) specify sourceid of video source to operate on instead of all

File Options:

--copyfile
    Copy a MythTV Storage Group file using RingBuffers

--infile
    Input file URI

--outfile
    Output file URI

--download
    Download a file using MythDownloadManager

--infile
    Input file URI

--outfile
    Output file URI

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.

Messaging Options:

--message
    Display a message on a frontend

--bcastaddr
    (optional) IP address to send to

--message_text
    (optional) message to send

--timeout
    (optional) notification duration

--udpport
    (optional) UDP Port to send to

--notification
    Display a notification on a frontend

--bcastaddr
    (optional) IP address to send to

--description
    (optional) notification description text

--error
    (optional) set notification to be displayed as an error

--extra
    (optional) notification extra text

--fullscreen
    (optional) display notification in full screen mode

--image
    (optional) Path to image to send to (http://, myth://)

--message_text
    (optional) message to send

--origin
    (optional) notification origin text

--progress
    (optional) progress value (must be between 0 and 1)

--progress_text
    (optional) notification progress text

--timeout
    (optional) notification duration

--type
    (optional) type of notification (normal, error, warning, check, busy

--udpport
    (optional) UDP Port to send to

--visibility
    (optional) bitmask indicating where to show the notification

--print-message-template
    Print the template to be sent to the frontend

--print-notification-template
    Print the template to be sent to the frontend

MPEG-TS Options:

--pidcounter
    Count pids in a MythTV Storage Group file

--infile
    Input file URI

--packetsize
    TS Packet Size

--pidfilter
    Filter pids in a MythTV Storage Group file

--infile
    Input file URI

--outfile
    Output file URI

--packetsize
    TS Packet Size

--pids
    Pids to process

--pidprinter
    Print PSIP pids in a MythTV Storage Group file

--infile
    Input file URI

--outfile
    Output file URI

--noautopts
    Disables PTS discovery

--pids
    Pids to process

--xml
    Enables XML output of PSIP

--ptspids
    Pids to extract PTS from

JobQueue Options:

--queuejob
    Insert a new job into the JobQueue.

--chanid
    Specify chanid of recording to operate on.

--starttime
    Specify start time of recording to operate on.

Music Scanning Options:

--scanmusic
    Scan the 'Music' Storage Group for music files

--force
    Ignore file timestamps

--updateradiostreams
    Downloads an updated radio stream list from the MythTV server